import { type HighlighterCore } from '@shikijs/core';
export type AvailableLanguage = 'php' | 'tsx' | 'typescript' | 'javascript' | 'json' | 'html' | 'css' | 'markdown' | 'plaintext';
export declare const LANGS: Record<AvailableLanguage, any>;
export declare function getHighlighter(): Promise<HighlighterCore>;
export declare function disposeHighlighter(): void;
export declare function isValidLanguage(lang: string): lang is AvailableLanguage;
export declare function getSafeLanguage(lang: string): AvailableLanguage;
//# sourceMappingURL=SyntaxContext.d.ts.map